Overview | Modules | Class Hierarchy | Classes | Members

# tlp::BiconnectedTest Class Reference
[Graph_test]

`#include <BiconnectedTest.h>`

Inherits tlp::GraphObserver.

Inheritance diagram for tlp::BiconnectedTest:

[legend]
Collaboration diagram for tlp::BiconnectedTest:

[legend]
List of all members.

## Detailed Description

class for testing if the graph is biconnected

## Static Public Member Functions

- static bool isBiconnected (Graph *graph)
- static void makeBiconnected (Graph *graph, std::vector< edge > &addedEdges)

## Member Function Documentation

static bool tlp::BiconnectedTest::isBiconnected | ( | Graph * | graph | ) | `[static]`

| Returns true if the graph is biconnected (ie. one must remove at least two nodes in order to disconnect the graph), false if not.

Tulip Software by LaBRI Visualization Team 2001 - 2010